﻿using Plugin.ExternalMaps;
using System;
using System.Threading.Tasks;
using Xamarin.Forms;
using XF_Mapas.Model;
using XF_Mapas.Service;

namespace XF_Mapas
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            lvClientes.ItemsSource = ClienteService.GetClientes();
        }

        private async void lvClientes_ItemSelected(object sender, SelectedItemChangedEventArgs e)
        {
            try
            {
                var cliente = e.SelectedItem as Cliente;
                if (cliente.Nome != null && cliente.Endereco != null && cliente.Cep != null)
                {
                    //await CrossExternalMaps.Current.NavigateTo("Pça da Sé", -23.5486, -46.6392);
                    await PoeEnderecoNoMapa(cliente);
                }
                else
                {
                    return;
                }
            }
            catch (Exception ex)
            {
                await DisplayAlert("Erro : ", ex.Message, "OK");
            }
        }
        private async Task PoeEnderecoNoMapa(Cliente cli)
        {
            string pais = "BR";
            string CodigoPais = "55";

            if (string.IsNullOrEmpty(cli.Nome) && string.IsNullOrEmpty(cli.Cep)
               && string.IsNullOrEmpty(cli.Endereco) && string.IsNullOrEmpty(cli.Cidade))
            {
                await DisplayAlert("Dados Inválidos", "Faltam dados obrigatórios...", "OK");
            }
            else
            {
                try
                {
                    await CrossExternalMaps.Current.NavigateTo("Teste", cli.Endereco, cli.Cidade, cli.Estado, cli.Cep, pais, CodigoPais);
                }
                catch (Exception ex)
                {
                    throw ex;
                }
            }
        }
    }
}
